package wallet

type TxType int8

// 交易類型
const (
	// Deposit 充值(增加可用餘額)
	Deposit TxType = iota + 1
	// Withdraw 提現(減少可用餘額)
	Withdraw
	// Freeze 凍結(減少可用餘額，加在凍結餘額)
	Freeze
	// UnFreeze 解凍(減少凍結餘額)
	UnFreeze
	// RollbackFreeze (減少凍結餘額，加回可用餘額，不可指定金額，根據訂單)
	RollbackFreeze
	// Unconfirmed 限制(減少凍結餘額，加別人限制餘額)
	Unconfirmed
	// CancelFreeze 取消凍結(減少凍結餘額，加回可用餘額，，可指定金額)
	CancelFreeze
	// DepositUnconfirmed 充值(增加限制餘額)
	DepositUnconfirmed
	// AppendFreeze 追加凍結(減少可用餘額，加在凍結餘額)
	AppendFreeze
	// RollbackFreezeAddAvailable (rollback凍結餘額，指定金額加回可用餘額)
	RollbackFreezeAddAvailable
	// Distribution 平台分發（活動送錢給玩家）
	Distribution
	// SystemTransfer 系統劃轉
	SystemTransfer
)

func (t TxType) ToInt() int {
	return int(t)
}
